<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/


$fieldMetaData = array(
'uid' => array('label' => 'Unique ID', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField'),
'accounts_id' => array('label' => 'Account', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField'),
'name' => array('label' => 'Account Name', 'displaysize' => 50, 'fieldlen' => 50, 'fieldType' => 'textField'),
'address1' => array('label' => 'Address line 1', 'displaysize' => 50, 'fieldlen' => 50, 'fieldType' => 'textField'),
'address2' => array('label' => 'Address line 2', 'displaysize' => 50, 'fieldlen' => 50, 'fieldType' => 'textField'),
'city'	=> array('label' => 'City', 'nosearch', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField'),
'state' => array('label' => 'State', 'nosearch', 'displaysize' => 2, 'fieldlen' => 2, 'fieldType' => 'textField'),
'postalcode' => array('label' => 'Postal Code', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField'),
'contact' => array('label' => 'Contact Name', 'displaysize' => 30, 'fieldlen' => 30, 'fieldType' => 'textField'),
'email' => array('label' => 'Contact E-mail', 'displaysize' => 50, 'fieldlen' => 50, 'fieldType' => 'textField'),
'status' => array('label' => 'Status', 'displaysize' => 10, 'fieldlen' => 2, 'fieldType' => 'radioField', 'validValues' => 'accounts_status_array'),
'billcycle' => array('label' => 'Bill Cycle', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'radioField', 'validValues' => 'accounts_billcycle_array'),
'billstartdate' => array('label' => 'Billing Start Date', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField'),
'lastbilldate' => array('label' => 'Last Billed On', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField'),
'createat' => array('label' => 'Created At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField'),
'createby' => array('label' => 'Created By', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField'),
'changeat' => array('label' => 'Changed At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField'),
'changeby' => array('label' => 'Changed By', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField'),
'weekenddate' => array('label' => 'Weekend', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
);

$createLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Create Account',
'accounts_id' => 'editable',
'name' => 'editable',
'address1' => 'editable',
'address2' => 'editable',
'city' => 'editable',
'state' => 'editable',
'postalcode' => 'editable',
'contact' => 'editable',
'email' => 'editable',
'billstartdate' => 'editable',
'status' => 'editable',
'billcycle' => 'editable'
);

$editLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Edit Account',
'uid' => 'hidden',
'accounts_id' => 'protected',
'name' => 'editable',
'address1' => 'editable',
'address2' => 'editable',
'city' => 'editable',
'state' => 'editable',
'postalcode' => 'editable',
'contact' => 'editable',
'email' => 'editable',
'lastbilldate' => 'editable',
'status' => 'editable',
'billcycle' => 'editable'
);

$deleteLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Delete Account',
'uid' => 'hidden',
'accounts_id' => 'viewonly',
'name' => 'viewonly',
'address1' => 'viewonly',
'address2' => 'viewonly',
'city' => 'viewonly',
'state' => 'viewonly',
'postalcode' => 'viewonly',
'contact' => 'viewonly',
'email' => 'viewonly',
'billcycle' => 'viewonly',
'status' => 'viewonly',
'lastbilldate' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
);

$browseLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Browse Account',
'uid' => 'hidden',
'accounts_id' => 'viewonly',
'name' => 'viewonly',
'address1' => 'viewonly',
'address2' => 'viewonly',
'city' => 'viewonly',
'state' => 'viewonly',
'postalcode' => 'viewonly',
'contact' => 'viewonly',
'email' => 'viewonly',
'billcycle' => 'viewonly',
'status' => 'viewonly',
'lastbilldate' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
'addl_buttons' => array(
array('heading' => 'Edit', 'module' => 'accounts', 'action' => 'Edit',),
array('heading' => 'Copy', 'module' => 'accounts', 'action' => 'Create',),
array('heading' => 'Delete', 'module' => 'accounts', 'action' => 'Delete',),
array('heading' => 'Print Weekly Report', 'module' => 'accounts', 'action' => 'Print',),
array('heading' => 'Projects', 'module' => 'projects', 'action' => 'List', 'filter_keys' => 'accounts_id'),
),
);

$listLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'List Accounts',
'accounts_id' => 'viewonly',
'name' => 'viewonly',
'city' => 'viewonly',
'state' => 'viewonly',
'postalcode' => 'viewonly',
'contact' => 'viewonly',
'status' => 'viewonly',
'billcycle' => 'viewonly',
'lastbilldate' => 'viewonly',
);


$searchLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Search Account',
'accounts_id' => 'editable',
'name' => 'editable',
'status' => 'editable',
'billcycle' => 'editable'
);

$printSubmitLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Print Time Cards of an Account by Week',
'accounts_id'=> 'protected',
'weekenddate'=> 'editable',
);


$accounts_status_array = array(
'10' => 'Active',
'80'=> 'Held',
'90' => 'Inactive'
);

$accounts_billcycle_array = array(
'Weekly' => 'Weekly',
'Bi-Weekly' => 'Bi-Weekly',
'Fortnightly' => 'Fortnightly',
'Monthly' => 'Monthly'
);

$lookupArray = array(
'accounts_id' => array('module' => 'accounts', 'table' => 'accounts', 'field' => 'accounts_id'),
);



?>