<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$basedir = dirname(__FILE__) . '/..';
require_once("$basedir/config/controllerstructure.php");

class ControlStructure
{

	public $module = '';
	public $action = '';
	
	public $folder = '';
	public $table = '';
	public $dbObj = '';
	public $parent_keys = array();

	public $dbObjFile = '';

	public $callOnSubmit = '';
	public $localProgram = '';
	public $handler = '';
	public $method = 'post';
	public $formName = '';

	public $displayLayout = '';
	public $searchLayout = '';

	public function __construct($module, $action)
	{
		global $config_array;

		$module_array = $config_array[$module];

		$this->module = $module;
		
		if (isset($module_array['folder']))
			$this->folder = $module_array['folder'];
		if (isset($module_array['table']))
			$this->table = $module_array['table'];
		if (isset($module_array['dbobj']))
			$this->dbObj = $module_array['dbobj'];
		if (isset($module_array['parent_keys']))
		{
			$key_array = explode(',', $module_array['parent_keys']);
			for ($i = 0; $i < sizeof($key_array); $i++)
				$key_array[$i] = trim($key_array[$i]);
			$this->parent_keys = $key_array;
		}

		$this->action = $action;

		$this->dbObjFile = "$this->folder/DbObj.php";

		if (isset($module_array['actions'][$action]['callOnSubmit'])
		and ($module_array['actions'][$action]['callOnSubmit']) <> '')
			$this->callOnSubmit = "$this->folder/{$module_array['actions'][$action]['callOnSubmit']}";
		if (isset($module_array['actions'][$action]['localProgram'])
		and ($module_array['actions'][$action]['localProgram']) <> '')
		{
			if ($this->folder <> '')
				$this->localProgram = "$this->folder/{$module_array['actions'][$action]['localProgram']}";
			else
				$this->localProgram = "{$module_array['actions'][$action]['localProgram']}";
		}
		if (isset($module_array['actions'][$action]['handler']))
			$this->handler = $module_array['actions'][$action]['handler'];
		if ((isset($module_array['actions'][$action]['method'])
		and ($module_array['actions'][$action]['method']) <> ''))
			$this->method = $module_array['actions'][$action]['method'];
		if (isset($module_array['actions'][$action]['form']))
			$this->formName = $module_array['actions'][$action]['form'];
		else
			$this->formName = "{$module}_{$action}_Form";
		if (isset($module_array['actions'][$action]['displaylayout']))
			$this->displayLayout = $module_array['actions'][$action]['displaylayout'];
		if (isset($module_array['actions'][$action]['searchlayout']))
			$this->searchLayout = $module_array['actions'][$action]['searchlayout'];
	}
	
}


?>