<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$fieldMetaData = array(
'uid' => array('label' => 'Unique ID', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'users_id' => array('label' => 'User', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'projects_id' => array('label' => 'Projects', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'weekenddate' => array('label' => 'Weekend', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'expensedate' => array('label' => 'Expense Date', 'displaysize' => 10, 'fieldlen' => 20, 'fieldType' => 'dateField',),
'expensecategories_id' => array('label' => 'Category', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField', 'functionName' => 'change_text'),
'description' => array('label' => 'Description', 'displaysize' => 30, 'fieldlen' => 100, 'fieldType' => 'textField',),
'amount' => array('label' => 'Amount', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField', 'helptext' => 'This entry will be ignored for mileage.'),
'mile' => array('label' => 'Miles', 'displaysize' => 5, 'fieldlen' => 5, 'fieldType' => 'textField', 'helptext' => 'Specify the miles you drove for mileage claim',),
'comment' => array('label' => 'Comments', 'displaysize' => 50, 'fieldlen' => 100, 'fieldType' => 'textField',),
'createat' => array('label' => 'Created At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'createby' => array('label' => 'Created By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'changeat' => array('label' => 'Changed At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'changeby' => array('label' => 'Changed By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'totalamount' => array('label' => 'Total Amount', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField', 'functionName' => 'get_total_amount'),
'status' => array('label' => 'Status', 'displaysize' => 10, 'fieldlen' => 2, 'fieldType' => 'optionField', 'validValues' => 'expenseheaders_status_array', 'functionName' => 'get_status'),
);

$createLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Create Expense Detail',
'users_id' => 'haveselect',
'projects_id' => 'haveselect',
'weekenddate' => 'editable',
'expensedate' => 'editable',
'expensecategories_id' => 'haveselect',
'description' => 'editable',
'amount' => 'editable',
'mile' => 'editable',
'comment' => 'editable',
);

$editLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Edit Expense Detail',
'uid' => 'hidden',
'users_id' => 'protected',
'projects_id' => 'protected',
'weekenddate' => 'protected',
'expensedate' => 'editable',
'expensecategories_id' => 'haveselect',
'description' => 'editable',
'amount' => 'editable',
'mile' => 'editable',
'comment' => 'editable',
);

$deleteLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Delete Expense Detail',
'uid' => 'hidden',
'users_id' => 'viewonly',
'projects_id' => 'viewonly',
'weekenddate' => 'viewonly',
'expensedate' => 'viewonly',
'expensecategories_id' => 'viewonly',
'description' => 'viewonly',
'amount' => 'viewonly',
'mile' => 'viewonly',
'comment' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
);

$browseLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Browse Expense Detail',
'uid' => 'hidden',
'users_id' => 'viewonly',
'projects_id' => 'viewonly',
'weekenddate' => 'viewonly',
'expensedate' => 'viewonly',
'expensecategories_id' => 'viewonly',
'description' => 'viewonly',
'amount' => 'viewonly',
'mile' => 'viewonly',
'comment' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
'addl_buttons' => array(
array('heading' => 'Edit', 'module' => 'expensedetails', 'action' => 'Edit'),
array('heading' => 'Copy', 'module' => 'expensedetails', 'action' => 'Create'),
array('heading' => 'Delete', 'module' => 'expensedetails', 'action' => 'Delete'),
),
);

$listLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'List Expense Details',
'expensedate' => 'viewonly',
'expensecategories_id' => 'viewonly',
'description' => 'viewonly',
'amount' => 'viewonly',
);

$searchLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Search Expense Detail',
'users_id' => 'viewonly',
'projects_id' => 'viewonly',
'weekenddate' => 'viewonly',
'totalamount' => 'viewonly',
'status' => 'viewonly',
'expensedate' => 'editable',
'expensecategories_id' => 'haveselect',
);

$expenseheaders_status_array = array(
'10' => 'Entered',
'20' => 'Submitted',
'30' => 'Verified',
'80' => 'On Hold',
'90' => 'Invoiced'
);


$lookupArray = array(
'users_id' => array('module' => 'users', 'table' => 'users',  'field' => 'users_id'),
'projects_id' => array('module' => 'projects', 'table' => 'projects',  'field' => 'projects_id'),
'expensecategories_id' => array('module' => 'expensecategories', 'table' => 'expensecategories', 'field' => 'expensecategories_id')
);


?>