<?php
/* * *******************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 * ****************************************************************************** */

$basedir = dirname(__FILE__) . '/..';

require_once("$basedir/initialize.php");
require_once("$basedir/baseclass/DBCommonFunctions.php");
require_once("$basedir/baseclass/PageSection.php");
require_once("$basedir/expenseheaders/PrintCommonFunctions.php");

class dbObj extends DBCommonFunctions {

}

class Report extends ExpenseReportCommon {

    public function printReport() {
        $dateFormat = getUserDateFormat();

        $DbObj = new dbObj();
        if (!isset($_SESSION['parentkey'][$_SESSION['module']]['users_id']))
            $where = "uid = '{$_GET['uid']}'";
        else {
            $weekenddate = convertdate($_SESSION['parentkey'][$_SESSION['module']]['weekenddate'], $dateFormat, 'ymd');
            $where = "users_id = '{$_SESSION['parentkey'][$_SESSION['module']]['users_id']}' and projects_id = '{$_SESSION['parentkey'][$_SESSION['module']]['projects_id']}' and weekenddate = '{$weekenddate}' ";
        }

        $EH = $DbObj->fetchRowbyWhereClause('expenseheaders', $where);

        $ReportFunc = new ReportFunctions();
        $CA = $ReportFunc->ProjectCompanyAddress($EH['projects_id']);
        $str = '';

        $str .= "<h1>{$CA['name']}</h1>";
        $str .= "<h2>{$CA['address1']}";
        if ($CA['address2'] <> '')
            $str .= ", {$CA['address2']}";
        $str .= "<br />{$CA['city']}, {$CA['state']}-{$CA['postalcode']}</h2>";

        $str .= $this->makeHeaderBlock($EH);
        $str .= "\n<table id = 'report'>";
        $str .= $this->makeColHeading($EH);
        $str .= $this->makeDetailBlock($EH);
        $str .= "\n</table>";

        return $str;
    }

}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
        <link rel="stylesheet" type="text/css" media="all"
              href="../css/tesglobal.css">
        <title>Time and Expense Management System</title>

    </head>

    <body>
<?php
$report = new Report();
echo $report->printReport();
?>

        <input type='button' value='Print' onclick='window.print()'>
        <input type='button' value='Go Back' onclick='window.history.go(-1)'>

    </body>

</html>
