<?php
/* * *******************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 * ****************************************************************************** */
?>
<?php
ob_start();
$strtime = time();
$basedir = dirname(__FILE__);
require_once("$basedir/initialize.php");
require_once("$basedir/menu/menucontrol.php");
require_once("$basedir/baseclass/RenderPage.php");

global $db_server;
global $ini_array;
if ($db_server != null)
    getCompany();

$MainBody = new mainBody();
$BodyText = $MainBody->buildBody();

$logo = ($_SESSION['company']['logo'] != '') ? $_SESSION['company']['logo'] : 'logo.gif';
$logoPrint = "<img border=0px width=120px height=40px src='images/$logo'>";

$system_description = "<h2>" . changeLiteral($ini_array['literal']['system_description']) . "</h2>";

$logoutPage = new LogoutPage();
$loginText = $logoutPage->showLogoutLink();

$Menu = new Menu();
$MenuText = $Menu->buildMenu();

$History = new History();
$HistoryText = $History->printHistory();

$timeTaken = time() - $strtime;
settype($timeTaken, "string");
$footerText = "<table id='frame' style='border:none;'><tr><td class='footer'>"
        . changeLiteral('Copyright') . "&copy; Initechs, LLC. 2009-2011</td>"
        . "<td class='footer'>" . changeLiteral('Server response time') . ": "
        . $timeTaken . " " . changeLiteral('seconds') . "</td></tr></table>";
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">

        <link rel="stylesheet" type="text/css" media="all" href="css/tesglobal.css">

        <link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico">

        <script type="text/javascript" src="tesbean/jquery-1.4.2.min.js"></script>
        <script type="text/javascript" src="tesbean/OnScreenSearch.js"></script>
        <script type="text/javascript" language="JavaScript" src="tesbean/CalenderPopup.js"></script>

        <title>Time and Expense Management System</title>
    </head>

    <body onload="onloadFunc()">

        <table id='frame' style='position: absolute; left: 0px; top: 0px;'>

            <tr>
                <!-- Top Bar: Tite Section -->
                <td class="top_header">
                    <table style="width: 100%">
                        <!-- Top Bar has 1 row and 3 cols -->
                        <tr>
                            <!-- Logo Section -->
                            <td>
                                <?php
                                echo $logoPrint;
                                ?>
                            </td>
                            <td style="text-align: center"><!-- Heading Section -->
                                <?php
                                echo $system_description;
                                ?>
                            </td>
                            <td style="text-align: right"><!-- Logout Link Section -->
                                <?php
                                echo $loginText;
                                ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>

            <tr>
                <!-- Menu Section -->
                <td class="menu">
                    <?php
                         echo $MenuText;
                    ?>
                            </td>
                        </tr>

                        <tr>
                            <!-- Main Section: Left part is for history and Right part is for main data entry -->
                            <td>
                                <table id='frame'>
                                    <tr>
                                        <td class="left_body">
                                <?php
                                echo $HistoryText;
                                ?>
                            </td>
                            <td class="right_body">
                                <?php
                                echo $BodyText;
                                ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>

            <tr>
                <!-- Footer Section -->
                <td>
                    <?php
                        echo $footerText;
                        echo $_SESSION['error']['program_error'];
                    ?>
                </td>
            </tr>

        </table>

    </body>

</html>