<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$table = array(
"company" => "create  table if not exists  `company` (
  `uid` int unsigned null auto_increment ,
  `company_id` varchar(100) not null ,
  `name` varchar(255) not null ,
  `address1` varchar(255) null ,
  `address2` varchar(255) null ,
  `city` varchar(50) null ,
  `state` varchar(50) null ,
  `postalcode` varchar(20) null ,
  `country` varchar(20) null ,
  `logo` varchar(100) null,
  `weekendday` char(1) null default '6',
  `language` char(3) null default 'ENG',
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  primary key (`company_id`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8", 

"users" => "create  table if not exists  `users` (
  `uid` int unsigned null auto_increment ,
  `users_id` varchar(100) not null ,
  `fullname` varchar(255) not null ,
  `password` varchar(100) not null ,
  `email` varchar(255) not null ,
  `joindate` date not null ,
  `reportto` varchar(100) not null ,
  `title` char(100) null ,
  `status` char(2) not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  `authorizations_id` varchar(100) null ,
  `usergroup` varchar(100) null ,
  `dateformat` CHAR(3) null default 'MDY' ,
  `language` CHAR(3) null default 'ENG' ,
  primary key (`users_id`) ,
  unique index `uid_unique` (`uid` asc) ,
  index `fk_users_users1` (`reportto` asc) ,
  constraint `fk_users_users1`
    foreign key (`reportto` )
    references  `users` (`users_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"tasks" => "create  table if not exists  `tasks` (
  `uid` int unsigned null auto_increment ,
  `tasks_id` varchar(100) not null ,
  `name` varchar(100) not null ,
  `description` varchar(255) not null ,
  `status` char(2) not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  primary key (`tasks_id`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8", 

"roles" => "create  table if not exists  `roles` (
  `uid` int unsigned null auto_increment ,
  `roles_id` varchar(100) not null ,
  `description` varchar(255) not null ,
  `status` char(2) not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  primary key (`roles_id`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8",

"accounts" => "create  table if not exists  `accounts` (
  `uid` int unsigned null auto_increment ,
  `accounts_id` varchar(100) not null ,
  `name` varchar(255) not null ,
  `address1` varchar(255) null ,
  `address2` varchar(255) null ,
  `city` varchar(50) null ,
  `state` varchar(50) null ,
  `postalcode` varchar(20) null ,
  `country` varchar(20) null ,
  `contact` varchar(100) null ,
  `email` varchar(255) null ,
  `status` char(2) not null ,
  `billcycle` varchar(20) null ,
  `lastbilldate` date null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  primary key (`accounts_id`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8", 

"projects" => "create  table if not exists  `projects` (
  `uid` int unsigned not null auto_increment ,
  `projects_id` varchar(100) not null ,
  `name` varchar(100) not null ,
  `description` varchar(255) not null ,
  `accounts_id` varchar(100) not null ,
  `billtoaccount_id` varchar(100) not null ,
  `separate_billing` tinyint(1)  null ,
  `status` char(2) not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  index `fk_accounts` (`accounts_id` asc) ,
  primary key (`projects_id`) ,
  unique index `uid_unique` (`uid` asc) ,
  index `fk_billtoaccount` (`billtoaccount_id` asc) ,
  constraint `fk_accounts`
    foreign key (`accounts_id` )
    references  `accounts` (`accounts_id` )
    on delete no action
    on update no action,
  constraint `fk_billtoaccount`
    foreign key (`billtoaccount_id` )
    references  `accounts` (`accounts_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"projects_tasks" => "create  table if not exists  `projects_tasks` (
  `uid` int null auto_increment ,
  `projects_id` varchar(100) not null ,
  `tasks_id` varchar(100) not null ,
  `status` char(2) not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  primary key (`projects_id`, `tasks_id`) ,
  index `index_projects_projects_tasks` (`projects_id` asc) ,
  index `index_tasks_projects_tasks` (`tasks_id` asc) ,
  unique index `uid_unique` (`uid` asc) ,
  constraint `index_projects_projects_tasks`
    foreign key (`projects_id` )
    references  `projects` (`projects_id` )
    on delete no action
    on update no action,
  constraint `index_tasks_projects_tasks`
    foreign key (`tasks_id` )
    references  `tasks` (`tasks_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"projects_roles" => "create  table if not exists  `projects_roles` (
  `uid` int unsigned null auto_increment ,
  `projects_id` varchar(100) null ,
  `roles_id` varchar(100) null ,
  `effective_date` date not null ,
  `rate` decimal(3) not null ,
  `status` char(2) not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  primary key (`projects_id`, `roles_id`, `effective_date`) ,
  index `index_projects_projects_roles` (`projects_id` asc) ,
  index `index_roles_projects_roles` (`roles_id` asc) ,
  unique index `uid_unique` (`uid` asc) ,
  constraint `index_projects_projects_roles`
    foreign key (`projects_id` )
    references  `projects` (`projects_id` )
    on delete no action
    on update no action,
  constraint `index_roles_projects_roles`
    foreign key (`roles_id` )
    references  `roles` (`roles_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"users_projects_roles" => "create  table if not exists  `users_projects_roles` (
  `uid` int null auto_increment ,
  `users_id` varchar(100) not null ,
  `projects_id` varchar(100) not null ,
  `roles_id` varchar(100) not null ,
  `status` char(2) not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  primary key (`users_id`, `projects_id`) ,
  index `index_users_users_projects_roles` (`users_id` asc) ,
  index `index_projects_roles_users_projects_roles` (`projects_id` asc, `roles_id` asc) ,
  unique index `uid_unique` (`uid` asc) ,
  constraint `index_users_users_projects_roles`
    foreign key (`users_id` )
    references  `users` (`users_id` )
    on delete no action
    on update no action,
  constraint `index_projects_roles_users_projects_roles`
    foreign key (`projects_id` , `roles_id` )
    references  `projects_roles` (`projects_id` , `roles_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"invoiceheaders" => "create  table if not exists  `invoiceheaders` (
  `uid` int not null auto_increment ,
  `accounts_id` varchar(100) not null ,
  `invoices_id` varchar(100) null ,
  `begindate` date null ,
  `enddate` date null ,
  `invoicedate` date null ,
  `status` varchar(2) null ,
  `createby` varchar(100) null ,
  `createat` datetime null ,
  `changeby` varchar(100) null ,
  `changeat` timestamp null ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`invoices_id`) ,
  index `fk_invoiceheaders_accounts1` (`accounts_id` asc) ,
  constraint `fk_invoiceheaders_accounts1`
    foreign key (`accounts_id` )
    references  `accounts` (`accounts_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"times" => "create  table if not exists  `times` (
  `uid` int unsigned not null auto_increment ,
  `weekenddate` date null ,
  `workdate` date not null ,
  `description` varchar(255) not null ,
  `comments` varchar(255) null ,
  `location` varchar(20) null ,
  `nonbillablehours` decimal(4,2) not null ,
  `billablehours` decimal(4,2) not null ,
  `status` varchar(2) not null ,
  `submitdate` date null ,
  `approvedate` date null ,
  `rate` decimal(3) not null default 0 ,
  `createby` varchar(100) not null ,
  `createat` datetime not null ,
  `changeby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `users_id` varchar(100) not null ,
  `projects_id` varchar(100) not null ,
  `tasks_id` varchar(100) not null ,
  `invoices_id` varchar(100) not null ,
  unique index `uid_unique` (`uid` asc) ,
  index `fk_times_projects_tasks1` (`projects_id` asc, `tasks_id` asc) ,
  index `fk_times_users_projects_roles1` (`users_id` asc, `projects_id` asc) ,
  index `fk_times_invoiceheaders_invoices_id` (`invoices_id` asc) ,
  constraint `fk_times_projects_tasks1`
    foreign key (`projects_id` , `tasks_id` )
    references  `projects_tasks` (`projects_id` , `tasks_id` )
    on delete no action
    on update no action,
  constraint `fk_times_users_projects_roles1`
    foreign key (`users_id` , `projects_id` )
    references  `users_projects_roles` (`users_id` , `projects_id` )
    on delete no action
    on update no action,
  constraint `fk_times_invoiceheaders_invoices_id`
    foreign key (`invoices_id` )
    references  `invoiceheaders` (`invoices_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"expensecategories" => "create  table if not exists  `expensecategories` (
  `uid` int unsigned not null auto_increment ,
  `expensecategories_id` varchar(100) not null ,
  `description` varchar(255) not null ,
  `seq` smallint unsigned not null ,
  `ismileage` binary not null ,
  `mileagerate` decimal(5,2)  null ,
  `status` char(2) not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  unique index `seq_unique` (`seq` asc) ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`expensecategories_id`) )
engine = innodb default charset=utf8", 

"expenseheaders" => "create  table if not exists  `expenseheaders` (
  `uid` int unsigned not null auto_increment ,
  `weekenddate` date not null ,
  `description` varchar(255) not null ,
  `comment` varchar(255) null ,
  `location` varchar(20) not null ,
  `status` varchar(2) not null ,
  `submitdate` date null ,
  `approvedate` date null ,
  `invoicedate` date null ,
  `createby` varchar(100) not null ,
  `createat` datetime not null ,
  `changeby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `users_id` varchar(100) not null ,
  `projects_id` varchar(100) not null ,
  `invoices_id` varchar(100) null ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`weekenddate`, `users_id`, `projects_id`) ,
  index `fk_expenseheaders_users_projects_roles1` (`users_id` asc, `projects_id` asc) ,
  index `fk_expenseheaders_invoiceheaders1` (`invoices_id` asc) ,
  constraint `fk_expenseheaders_users_projects_roles1`
    foreign key (`users_id` , `projects_id` )
    references  `users_projects_roles` (`users_id` , `projects_id` )
    on delete no action
    on update no action,
  constraint `fk_expenseheaders_invoiceheaders1`
    foreign key (`invoices_id` )
    references  `invoiceheaders` (`invoices_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"expensedetails" => "create  table if not exists  `expensedetails` (
  `uid` int unsigned not null auto_increment ,
  `users_id` varchar(100) not null ,
  `projects_id` varchar(100) not null ,
  `weekenddate` date not null ,
  `expensedate` date not null ,
  `expensecategories_id` varchar(100) not null ,
  `description` varchar(255) null ,
  `amount` decimal(8,2)  not null ,
  `invoices_id` varchar(100) null ,
  `mile` int(11)  null ,
  `comment` varchar(255) null ,
  `createby` varchar(100) not null ,
  `createat` datetime not null ,
  `changeby` varchar(100) not null ,
  `changeat` timestamp not null ,
  unique index `uid_unique` (`uid` asc) ,
  index `fk_ed_expensecategories_id` (`expensecategories_id` asc) ,
  index `fk_expensedetails_expenseheaders1` (`users_id` asc, `projects_id` asc, `weekenddate` asc) ,
  constraint `fk_ed_expensecategories_id`
    foreign key (`expensecategories_id` )
    references  `expensecategories` (`expensecategories_id` )
    on delete no action
    on update no action,
  constraint `fk_expensedetails_expenseheaders1`
    foreign key (`users_id` , `projects_id` , `weekenddate` )
    references  `expenseheaders` (`users_id` , `projects_id` , `weekenddate` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"authorizationlists" => "create  table if not exists  `authorizationlists` (
  `uid` int unsigned not null auto_increment ,
  `authorizations_id` varchar(100) null ,
  `description` varchar(100) null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`authorizations_id`) )
engine = innodb default charset=utf8", 

"authorizations" => "create  table if not exists  `authorizations` (
  `uid` int unsigned not null auto_increment ,
  `authorizations_id` varchar(100) not null ,
  `module` varchar(100) not null ,
  `action` varchar(100) not null ,
  `authlevel` smallint not null ,
  `createat` datetime not null ,
  `createby` varchar(100) not null ,
  `changeat` timestamp not null ,
  `changeby` varchar(100) not null ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`authorizations_id`, `module`, `action`) ,
  index `fk_authorizations_authorizationlists1` (`authorizations_id` asc) ,
  constraint `fk_authorizations_authorizationlists1`
    foreign key (`authorizations_id` )
    references  `authorizationlists` (`authorizations_id` )
    on delete no action
    on update no action)
engine = innodb default charset=utf8", 

"messages" => "create  table if not exists  `messages` (
  `uid` int not null auto_increment comment '	' ,
  `language` char(3) not null ,
  `msgid` varchar(10) not null ,
  `msgdesc` varchar(255) not null ,
  unique index `uid_unique` (`uid` asc) ,
  primary key (`language`, `msgid`) )
engine = innodb default charset=utf8",

"literals" => "create table if not exists `literals` (
  `uid` int not null auto_increment comment '	' ,
  `language` char(3) not null ,
  `eng_label` varchar(255) not null ,
  `label` varchar(255) not null ,
  primary key (`language`, `eng_label`) ,
  unique index `uid_unique` (`uid` asc) )
engine = innodb default charset=utf8",

);

$view = array(
"invoicetimedetails" => "create  or replace algorithm = temptable view
invoicetimedetails 
    (uid,
    invoices_uid,
    invoices_id, 
    begindate, 
    enddate, 
    billaccount_id,
    billacc_name,
    accounts_id,
    account_name,
    projects_id,
    project_name,
    users_id,
    user_name,
    workdate, 
    weekenddate,
    nonbillablehours, 
    billablehours, 
    actualhours,
    description,
    status, 
    rate, 
    billamount)
as

select 
    t.uid,
    i.uid,
    t.invoices_id,
    i.begindate,
    i.enddate,
    p.billtoaccount_id,
    a.name,
    p.accounts_id,
    a.name,
    t.projects_id,
    p.name,
    t.users_id,
    u.fullname,
    t.workdate,
    t.weekenddate,
    t.nonbillablehours,
    t.billablehours, 
    t.nonbillablehours + t.billablehours,
    t.description,
    t.status, 
    t.rate, 
    t.billablehours*t.rate

from 
    times t, 
    projects p,
    users u,
    invoiceheaders i,
    accounts a

where t.users_id = u.users_id
  and p.billtoaccount_id = a.accounts_id
  and t.projects_id = p.projects_id  
  and t.invoices_id = i.invoices_id",


"invoiceexpensedetails" => "create  or replace algorithm=temptable 
view `invoiceexpensedetails` as 

select 
    `t`.`uid` as `uid`,
    `h`.`uid` as `expense_uid`,
    `i`.`uid` as `invoices_uid`,
    `u`.`fullname` as `user_name`,
    `t`.`invoices_id` as `invoices_id`,
    `p`.`billtoaccount_id` as `billaccount_id`,
    `p`.`accounts_id` as `accounts_id`,
    `t`.`projects_id` as `projects_id`,
    `t`.`users_id` as `users_id`,
    `t`.`expensedate` as `expensedate`,
    `t`.`amount` as `amount`,
    `t`.`expensecategories_id` as `expensecategories_id`,
    `h`.`weekenddate` as `weekenddate`,
    `h`.`status` as `status` 
from ((((`expensedetails` `t` join `users` `u`) join `expenseheaders` `h`) join `projects` `p`) join `invoiceheaders` `i`) 
where ((`t`.`users_id` = `u`.`users_id`)
   and (`t`.`projects_id` = `p`.`projects_id`) 
   and (`t`.`projects_id` = `h`.`projects_id`) 
   and (`t`.`users_id` = `h`.`users_id`) 
   and (`t`.`weekenddate` = `h`.`weekenddate`) 
   and (`t`.`invoices_id` = `i`.`invoices_id`))",



"invoiceexpenseheaders" => "create  or replace algorithm=temptable 
view `invoiceexpenseheaders` as 

select 
    `h`.`uid` as `expense_uid`,
    `i`.`uid` as `invoices_uid`,
    `h`.`invoices_id` as `invoices_id`,
    `p`.`billtoaccount_id` as `billaccount_id`,
    `p`.`accounts_id` as `accounts_id`,
    `h`.`projects_id` as `projects_id`,
    `h`.`users_id` as `users_id`,
    `h`.`weekenddate` as `weekenddate`,
    `h`.`status` as `status` 
from ((`expenseheaders` `h` join `projects` `p`) join `invoiceheaders` `i`) 
where ((`h`.`projects_id` = `p`.`projects_id`)
   and (`p`.`billtoaccount_id` = `i`.`accounts_id`))",



"timesbyweekend" => "create  or replace view  `timesbyweekend` as 
select 
    users_id,
    weekenddate,
    sum(nonbillablehours) as totalnonbillhrs,  
    sum(billablehours) as totalbillhrs,
    sum(billablehours + nonbillablehours) as totalhrs, 
    min(status)as loweststatus

from 
    times  

group by 
    users_id, 
    weekenddate"
);


$tableData = array(

"company" => array(
"fields" => ("uid, company_id, name, address1, address2, city, state, postalcode, country, 
				logo, weekendday, language, createby, changeby, createat, changeat"),
"values" => "(1, '*COMPANY', 'Company Name Not Specified', 'Address Not Specified', 
				'Address Not Specified', 'City Not Specified', '??', '?????', '?????', 
				'', '6', 'ENG', 'admin', 'admin', now(), now())",
),

"users" => array(
"fields" => ("uid, users_id, fullname, password, email, 
				joindate, reportto, title, status, 
				 authorizations_id, usergroup, dateformat, language, 
				 createat, createby, changeat, changeby"),
"values" => "(1, 'admin', 'Administrator', '21232f297a57a5a743894a0e4a801fc3', 'contact@initechs.com', 
				now(), 'admin',	'Administrator', '10', 
				'', '', 'MDY', 'ENG',
				now(), 'admin', now(), 'admin')",
),

"messages" => array(
"fields" => ("language, msgid, msgdesc"),
"values" => "
('ENG','er0001','No record found'),
('ENG','er0002','Specify an unique ID'),
('ENG','er0003','Specify description'),
('ENG','er0004','Already defined. Duplicate entry not allowed.'),
('ENG','er0005','Are you sure you want to delete this record?'),
('ENG','er0006','User is not logged in!'),
('ENG','er0007','Specify full name'),
('ENG','er0008','Provide an email address'),
('ENG','er0009','Date is not valid!'),
('ENG','er0010','The Passwords provide are either invalid or do not match'),
('ENG','er0011','This field cannot be blank'),
('ENG','er0012','Invalid user id and password!'),
('ENG','er0013','Invalid entry: It does not exist in the system.'),
('ENG','er0014','Cannot delete. Project exists for this account'),
('ENG','er0015','Record already exists'),
('ENG','er0016','Selected role may be assigned to this project'),
('ENG','er0017','This sequence is already in use'),
('ENG','er0018','Task is not assigned to Project'),
('ENG','er0019','User is not assigned to Project'),
('ENG','er0020','Bill hours can not be greater than Actual'),
('ENG','er0021','It is not a company defined weekend day'),
('ENG','er0022','Cannot delete. Associated with Project.'),
('ENG','er0023','Cannot delete. Task, Role, or User associated with this Project.'),
('ENG','er0024','Cannot delete. Time record exists for this record.'),
('ENG','er0025','Cannot delete. User exists for this project role.'),
('ENG','er0026','Cannot delete. Expense exists for this category.'),
('ENG','er0027','Cannot delete. Details exists.'),
('ENG','er0028','User is not assigned to this project.'),
('ENG','er0029','Invalid User id.'),
('ENG','er0030','Both Amount and Miles cannot be specified.'),
('ENG','er0031','You must specify the miles for mileage category expense.'),
('ENG','er0032','You must specify a valid amount here.'),
('ENG','er0033','Expense category is not available.'),
('ENG','er0034','User is not assigned to this project or not active.'),
('ENG','er0035','Expense alredy submitted'),
('ENG','er0036','Expense already approved, cannot be added, modified, or deleted.'),
('ENG','er0037','Expense is not submitted yet. Cannot be verified.'),
('ENG','er0038','You are not authorized to verify the expense.'),
('ENG','er0039','User is not active.'),
('ENG','er0040','Expense already verified.'),
('ENG','er0041','You are not authorized to edit this record.'),
('ENG','er0042','You are not authorized to view this record.'),
('ENG','er0043','Project is not active.'),
('ENG','er0044','Account is not active.'),
('ENG','er0045','Expense date must in the same week'),
('ENG','er0046','Invalid authorization List'),
('ENG','er0047','Cannot be deleted! users are associated with this authorization List'),
('ENG','er0048','You are not authorized to delete this record.'),
('ENG','er0049','This role is not assigned to the project.'),
('ENG','er0050','Manager is not active.'),
('ENG','er0051','Cannot make user id inactive when user has reporting users.'),
('ENG','er0052','Invalid Manager id.'),
('ENG','er0053','User id is not a manager.'),
('ENG','er0054','Project is not assigned to bill to account'),
('ENG','er0055','Time record is already approved, Can not be held'),
('ENG','er0056','User cannot be deleted when users are reporting to this users'),
('ENG','er0057','Non-approved Expense records exist. Cannot invoice. Either hold or approve the record to create invoice'),
('ENG','er0058','Total hours cannot exceed 24hrs per day'),
('ENG','er0059','Non-approved Expenses and Time records exist. Either hold or approve the record to create invoice'),
('ENG','er0060','Can not replace \"Demo\" data'),
('ENG','er0061','Choose from list or Key in new database'),
('ENG','er0062','Either choose from list or key in new database; but not both'),
('ENG','er0063','Database exist in list, select from list'),
('ENG','er0064','No expense details exist, cannot be submitted'),
('ENG','er0065','No expense details exist, cannot be verified'),
('ENG','er0066','Expense already verified, cannot be changed'),
('ENG','er0067','Invalid directory'),
('ENG','er0068','Invalid file'),
('ENG','er0069','Time is already approved or invoiced; cannot be held'),
('ENG','er0070','Time is not held; cannot be released'),
('ENG','er0071','Time is already approved, cannot be deleted'),
('ENG','er0072','Time is already approved, cannot be changed'),
('ENG','er0073','Non-approved Time records exist. Cannot invoice. Either hold or approve the record to create invoice'),
('ENG','er0074','Expense is already verified or invoiced; cannot be held'),
('ENG','er0075','Expense is not held; cannot be released'),
('ENG','er0076','Task is not effective on this date. Correct work date or contact System Manager'),
('ENG','er0077','Invoice period is not completed yet. Cannot invoice now.'),
('ENG','er0078','You are not authorized for this operation.'),
('ENG','er0079','You are not authorized to delete this record.'),
('ENG','er0080','You are not authorized to create or maintain time records for this user.'),
('ENG','er0081','Restore Database was not successful.'),
('ENG','er0082','Backup Database was not successful.'),
('ENG','er0083','More digits entered after decimal than allowed'),
('ENG','er0084','For mileage per mile rate must be specified'),
('ENG','er0085','Cannot specify mileage rate for non-mileage type category'),
('ENG','er0086','Invalid email format'),
('ENG','er0087','You have to specify at least one of billable and non-billable hours'),
('ENG','er0088','This is a default admin user; cannot be deleted. You may disable it.'),

('ENG','er9998','A general exception was thrown: '),
('ENG','er9999',''),
('ENG','info0001','Database is successfully saved in '),
('ENG','info0002','Database is successfully restored from '),


('ITA', 'er0001', 'Nessun elemento trovato'),
('ITA', 'er0002', 'Specifica un identificativo unico'),
('ITA', 'er0003', 'Inserisci una descrizione'),
('ITA', 'er0004', 'Gia'' esistente. Non sono ammesse doppie registrazioni.'),
('ITA', 'er0005', 'Sei sicuro di voler eliminare questo elemento?'),
('ITA', 'er0006', 'L''utente non e'' autenticato'),
('ITA', 'er0007', 'Specifica l''intero nome'),
('ITA', 'er0008', 'Fornisci un indirizzo e-mail'),
('ITA', 'er0009', 'La data non e valida'),
('ITA', 'er0010', 'Le password fornite risultano non valide o non corrispondenti'),
('ITA', 'er0011', 'Questo campo non puo'' essere vuoto'),
('ITA', 'er0012', 'Identificativo utente e password non validi!'),
('ITA', 'er0013', 'Inserimento non valido: non presente nel sistema.'),
('ITA', 'er0014', 'Impossibile eliminare. Esistono progetti per questo conto.'),
('ITA', 'er0015', 'Elemento gia'' esistente'),
('ITA', 'er0016', 'Il ruolo selezionato puo'' essere assegnato a questo progetto'),
('ITA', 'er0017', 'Questa sequenza e'' gia'' in uso'),
('ITA', 'er0018', 'Il compito non e'' assegnato al Progetto'),
('ITA', 'er0019', 'L''utente non e'' assegnato al progetto'),
('ITA', 'er0020', 'Le ore fatturate non possono essere maggiori delle ore Attuali'),
('ITA', 'er0021', 'La data di fine settimana deve corrispondere ad un Sabato'),
('ITA', 'er0022', 'Impossibile eliminare: associato a Progetto.'),
('ITA', 'er0023', 'Impossibile eliminare. Compito, Ruolo o Utente associato a questo Progetto'),
('ITA', 'er0024', 'Impossibile eliminare. Esistono registrazioni di tempo-lavoro per questo elemento.'),
('ITA', 'er0025', 'Impossibile eliminare. Esistono Utenti per questo ruolo progettuale.'),
('ITA', 'er0026', 'Impossibile eliminare. Esistono spese per questa categoria.'),
('ITA', 'er0027', 'Impossibile eliminare. Dettagli presenti.'),
('ITA', 'er0028', 'L''utente non e'' assegnato a questo progetto'),
('ITA', 'er0029', 'Identificativo utente non valido.'),
('ITA', 'er0030', 'Non e'' possibile specificare contemporaneamente Importo e Miglia'),
('ITA', 'er0031', 'Devi specificare le miglia per la categoria di spesa che prevede il calcolo della distanza'),
('ITA', 'er0032', 'Devi specificare un importo valido in questo campo.'),
('ITA', 'er0033', 'Categoria di spesa non disponibile'),
('ITA', 'er0034', 'L''utente non e'' assegnato a questo progetto o non e'' attivo.'),
('ITA', 'er0035', 'Spesa gia'' inoltrata'),
('ITA', 'er0036', 'Le spese gia'' approvate non possono essere aggiunte, modificate o eliminate.'),
('ITA', 'er0037', 'La spesa non e'' stata ancora inoltrata. Impossibile verificarla.'),
('ITA', 'er0038', 'Non sei autorizzato a verificare la spesa.'),
('ITA', 'er0039', 'Utente non attivo.'),
('ITA', 'er0040', 'Spesa gia'' verificata'),
('ITA', 'er0041', 'Non sei autorizzato a modificare questo elemento.'),
('ITA', 'er0042', 'Non sei autorizzato a visualizzare questo elemento.'),
('ITA', 'er0043', 'Il progetto non e'' attivo.'),
('ITA', 'er0044', 'Il conto non e'' attivo.'),
('ITA', 'er0045', 'La data della spesa deve appartenere alla stessa settimana.'),
('ITA', 'er0046', 'Lista autorizzazioni non valida'),
('ITA', 'er0047', 'Impossibile eliminare! Vi sono utenti associati a questa Lista di autorizzazioni.'),
('ITA', 'er0048', 'Non sei autorizzato a eliminare questo elemento.'),
('ITA', 'er0049', 'Il ruolo non e'' assegnato al progetto'),
('ITA', 'er0050', 'L''amministratore non e'' attivo'),
('ITA', 'er0051', 'Imposibile disattivare l''utente se ci sono utenti che fanno riferimento ad esso.'),
('ITA', 'er0052', 'Identificativo Amministratore non valido.'),
('ITA', 'er0053', 'L''identificativo Utente non corrisponde a un manager.'),
('ITA', 'er0054', 'Il progetto non e'' abilitato per fatturazioni su conti.'),
('ITA', 'er0055', 'L''elemento di tempo e'' gia'' approvato. Non puo'' essere in sospeso.'),
('ITA', 'er0056', 'L''utente non puo'' essere elimintato quando altri utenti fanno riferimento ad esso.'),
('ITA', 'er0057', 'Esistono spese non approvate. Impossibile fatturare. Trattieni o approva gli elementi per fatturare.'),
('ITA', 'er0058', 'La quantita'' di  ore non puo'' eccedere le 24 ore giornaliere.'),
('ITA', 'er0059', 'Esistono spese e registrazioni di ore-lavoro non approvate. Trattieni o approva gli elementi per fatturare.'),
('ITA', 'er0060', 'Non posso sostituire i dati Demo'),
('ITA', 'er0061', 'Scegli nella lista oppure codifica in un nuovo database, ma non entrambi.'),
('ITA', 'er0062', 'Scegli alternativamente nella lista oppure codifica in un nuovo database, ma non entrambi.'),
('ITA', 'er0063', 'Il database e'' presente nella lista. Seleziona dalla lista'),
('ITA', 'er0064', 'Non esistono dettagli relativi alla spesa. Impossibile inoltrare'),
('ITA', 'er0065', 'Non esistono dettagli relativi alla spesa. Impossibile verificare'),
('ITA', 'er0066', 'Spesa gia'' verificata. Impossibile modificare.'),
('ITA', 'er0067', 'Elenco non valido'),
('ITA', 'er0068', 'File non valido'),
('ITA', 'er0069', 'Monteore gia'' approvato o fatturato, impossibile trattenere'),
('ITA', 'er0070', 'Monteore non trattenuto, Impossibile rilasciare'),
('ITA', 'er0071', 'Monteore gia'' approvato, impossibile eliminare'),
('ITA', 'er0072', 'Monteore gia'' approvato, impossibile modificare'),
('ITA', 'er0073', 'Esistono registrazioni di monteore non approvate. Impossibile fatturare. Trattieni oppure aprova gli elementi per poter creare la fattura'),
('ITA', 'er0074', 'La spesa e'' gia'' stata verificata o fatturata, non e'' possibile trattenerla'),
('ITA', 'er0075', 'La spesa non e'' trattenuta, impossibile rilasciarla'),
('ITA', 'er0076', 'Il task non e'' attivo in questa data. Correggi la data di lavoro o contatta l''Amministratore del Sistema'),
('ITA', 'er0077', 'Il periodo di fatturazione non e'' ancora trascorso. Impossibile creare fattura adesso.'),
('ITA', 'er0078', 'Non sei autorizzato ad eseguire questa operazione.'),
('ITA', 'er0079', 'Non sei autorizzato a eliminare questo elemento.'),
('ITA', 'er0080', 'Non sei autorizzato a creare o gestire registrazioni orarie per questo utente.'),
('ITA', 'er0081', 'Il ripristino del database non e'' andato a buon fine.'),
('ITA', 'er0082', 'Il backup del database non e'' andato a buon fine'),
('ITA', 'er0083', 'Sono stati inseriti piu'' decimali di quelli consentiti'),
('ITA', 'er0084', 'Per calcoli basati su chilometraggio e'' necessario specificare il costo per chilometro'),
('ITA', 'er0085', 'Impossibile specificare costo a chilometro per categorie che non prevedono il chilometraggio'),
('ITA', 'er0086', 'Formato e-mail non valido'),
('ITA', 'er0087', 'Devi specificare almeno un monteore fatturabile o non fatturabile'),
('ITA', 'er9998', 'Si e'' verificata un''eccezione generale'),
('ITA', 'er9999', ''),
('ITA', 'info0001', 'Database correttamente salvato in'),
('ITA', 'info0002', 'Database correttamente ripristinato da')

"),

"literals" => array(
"fields" => ("language, eng_label, label"),
"values" => "
('ITA', 'About', 'Informazioni su'),
('ITA', 'Accounts', 'Conti'),
('ITA', 'Active', 'Attivo'),
('ITA', 'Authorization', 'Autorizzazione'),
('ITA', 'Backup Data', 'Backup dei dati'),
('ITA', 'Browse', 'Visualizza'),
('ITA', 'Change Password', 'Cambia password'),
('ITA', 'Changed At', 'Cambiato il'),
('ITA', 'Changed By', 'Cambiato da'),
('ITA', 'Copy', 'Copia'),
('ITA', 'Copyright', 'Copyright'),
('ITA', 'Create', 'Crea'),
('ITA', 'Created At', 'Creato il'),
('ITA', 'Created By', 'Creato da'),
('ITA', 'Date Format', 'Formato data'),
('ITA', 'DD/MM/YYYY', 'DD/MM/YYYY'),
('ITA', 'Delete', 'Elimina'),
('ITA', 'Edit', 'Modifica'),
('ITA', 'Email Address', 'Indirizzo e-mail'),
('ITA', 'English', 'Inglese'),
('ITA', 'Expense Categories', 'Categorie di spesa'),
('ITA', 'Expense Entry', 'Registrazione Spesa'),
('ITA', 'Full name', 'Nome completo'),
('ITA', 'Go Back', 'Torna Indietro'),
('ITA', 'History', 'Storia'),
('ITA', 'Inactive', 'Inattivo'),
('ITA', 'Invoice', 'Fattura'),
('ITA', 'Italian', 'Italiano'),
('ITA', 'Join Date', 'Data di registrazione'),
('ITA', 'Language', 'Lingua'),
('ITA', 'List', 'Lista'),
('ITA', 'List Summary', 'Elenco riepilogativo'),
('ITA', 'Login', 'Login'),
('ITA', 'Logout', 'Logout'),
('ITA', 'MM/DD/YYYY', 'MM/DD/YYYY'),
('ITA', 'Password', 'Password'),
('ITA', 'Print', 'Stampa'),
('ITA', 'Projects', 'Progetti'),
('ITA', 'Refresh', 'Aggiorna'),
('ITA', 'Report To', 'Riferito a'),
('ITA', 'Restore Data', 'Ripristino dei dati'),
('ITA', 'Roles', 'Ruoli'),
('ITA', 'Search', 'Cerca'),
('ITA', 'Seconds', 'Secondi'),
('ITA', 'Server response time', 'Tempo di risposta del server'),
('ITA', 'Status', 'Condizione'),
('ITA', 'Submit', 'Invia'),
('ITA', 'System Administration', 'Amministrazione del sistema'),
('ITA', 'Tasks', 'Compiti'),
('ITA', 'Time and Expense Management System', 'Sistema per la Gestione del Tempo-Lavoro e delle Spese'),
('ITA', 'Time Entry', 'Inserimento tempo-lavoro'),
('ITA', 'Title', 'Titolo'),
('ITA', 'User', 'Utente'),
('ITA', 'User Group', 'Gruppo di appartenenza'),
('ITA', 'Users', 'Utenti'),
('ITA', 'Welcome', 'Benvenuto'),
('ITA', 'YYYY/MM/DD', 'YYYY/MM/DD'),
('ITA', 'Category', 'Categoria'),
('ITA', 'Description', 'Descrizione'),
('ITA', 'Sequence on Report:', 'Ordine nel Report:'),
('ITA', 'Is Mileage?:', 'E'' quantificato in Chilometri?'),
('ITA', 'Mileage Rate:', 'Costo per Chilometro:'),
('ITA', 'Yes', 'Si'),
('ITA', 'No', 'No'),
('ITA', 'Account', 'Conto'),
('ITA', 'From', 'Da'),
('ITA', 'To', 'A'),
('ITA', 'Billable Hours', 'Ore Fatturabili'),
('ITA', 'Non-Billable Hours', 'Ore non Fatturabili'),
('ITA', 'Total Hours', 'Ore Totali'),
('ITA', 'Total Amount', 'Importo Totale'),
('ITA', 'Expense', 'Spesa'),
('ITA', 'Invoice Amount', 'Importo Fattura'),
('ITA', 'Billing Cycle', 'Periodo di Fatturazione'),
('ITA', 'Weekly', 'Settimanalmente'),
('ITA', 'Fortnightly', 'Quindicinalmente'),
('ITA', 'Bi-Weekly', 'Bisettimanalmente'),
('ITA', 'Monthly', 'Mensilmente'),
('ITA', 'Held', 'Trattenuto'),
('ITA', 'Consultant', 'Operatore'),
('ITA', 'Entered', 'Registrato'),
('ITA', 'Submitted', 'Inviato'),
('ITA', 'Approved', 'Approvato'),
('ITA', 'Invoiced', 'Fatturato'),
('ITA', 'All', 'Tutto'),
('ITA', 'Open', 'Aperto'),
('ITA', 'My Time', 'Mie Ore'),
('ITA', 'My Group', 'Mio Gruppo'),
('ITA', 'Report To Me', 'Riferito a Me'),
('ITA', 'Weeekend', 'Finesettimana'),
('ITA', 'Work Date:', 'Data di lavoro:'),
('ITA', 'Project:', 'Progetto:'),
('ITA', 'Show Criteria:', 'Criteri di Visualizzazione:'),
('ITA', 'Name', 'Nome'),
('ITA', 'Next Action', 'Azione Successiva'),
('ITA', 'My Expense', 'Mia Spesa'),
('ITA', 'Account Name:', 'Nome Conto:'),
('ITA', 'City:', 'Citta'':'),
('ITA', 'State:', 'Nazione:'),
('ITA', 'Weekend:', 'Finesettimana:'),
('ITA', 'Bill to Account::', 'Fattura a Conto:'),
('ITA', 'Verified', 'Verificato'),
('ITA', 'On Hold', 'In Sospeso'),
('ITA', 'Bill Cycle:', 'Cadenza Fatturazione:'),
('ITA', 'Bill Cycle', 'Cadenza Fatturazione'),
('ITA', 'Last Billed On', 'Data Ultima Fattura'),
('ITA', 'Task', 'Compito'),
('ITA', 'Role', 'Ruolo'),
('ITA', 'User Group:', 'Gruppo:'),
('ITA', 'Authorizations List', 'Elenco autorizzazioni'),
('ITA', 'Location:', 'Luogo:'),
('ITA', 'Comments:', 'Commenti:'),
('ITA', 'Work Location:', 'Luogo di lavoro:'),
('ITA', 'Address line 1:', 'Indirizzo (prima riga):'),
('ITA', 'Address line 2:', 'Indirizzo (riga 2):'),
('ITA', 'Postal Code:', 'Codice Postale:'),
('ITA', 'Contact Name:', 'Nome Contatto:'),
('ITA', 'Contact E-mail:', 'E-mail Contatto:'),
('ITA', 'None', 'Nessuna'),
('ITA', 'Own', 'Individuale'),
('ITA', 'Group', 'Gruppo'),
('ITA', 'List Users', 'Lista Utenti'),
('ITA', 'Next', 'Prossimo'),
('ITA', 'Previous', 'Precedente'),
('ITA', 'Browse User', 'Sfoglia utente'),
('ITA', 'System Configuration', 'Configurazione di sistema'),
('ITA', 'French', 'Francese'),
('ITA', 'Spanish', 'Spagnolo'),
('ITA', 'Edit User', 'Modifica Utente'),
('ITA', 'Create User', 'Crea utente'),
('ITA', 'Delete User', 'Elimina utente'),
('ITA', 'Bill to Account', 'Fatturare su Conto'),
('ITA', 'Project', 'Progetto'),
('ITA', 'Created On', 'Creato il'),
('ITA', 'Modified On', 'Modifica'),
('ITA', 'Modified By', 'Modificato da'),
('ITA', 'Assign tasks', 'Assegnare compiti'),
('ITA', 'Assign roles', 'Assegnare i ruoli'),
('ITA', 'Assign users', 'Assegnare gli utenti'),
('ITA', 'Browse Project', 'Sfoglia Progetto'),
('ITA', 'Print Weekly Report', 'Stampa report settimanale'),
('ITA', 'Approve', 'Approvare'),
('ITA', 'Release', 'Distribuzione'),
('ITA', 'Expense Details', 'Dettaglio spese'),
('ITA', 'Air', 'Aereo'),
('ITA', 'Hotel', 'Hotel'),
('ITA', 'Taxi', 'Taxi'),
('ITA', 'Lunch', 'Pranzo'),
('ITA', 'Dinner', 'Cena'),
('ITA', 'Breakfast', 'Colazione'),
('ITA', 'Parking', 'Parcheggio'),
('ITA', 'Car', 'Auto'),
('ITA', 'Petrol', 'Benzina'),
('ITA', 'Gas', 'Gas'),
('ITA', 'Mileage', 'Chilometraggio'),
('ITA', 'Amount', 'Importo'),
('ITA', 'Submitted On', 'Inviato il'),
('ITA', 'Verified On', 'Verificata sulla'),
('ITA', 'Invoiced On', 'Fatturati sulla'),
('ITA', 'Browse Expense', 'Sfoglia Spese'),
('ITA', 'List Expenses', 'Lista Spese'),
('ITA', 'Delete Expense', 'Elimina Spese'),
('ITA', 'Copy Expense', 'Copia Spese'),
('ITA', 'Edit Expense', 'Modifica Spese'),
('ITA', 'Create Expense', 'Crea Spese'),
('ITA', 'Weekend', 'Week-end'),
('ITA', 'Comments', 'Commenti'),
('ITA', 'Location', 'Posizione'),
('ITA', 'Expense Date', 'Data di spesa'),
('ITA', 'Show Criteria', 'Mostra Criteri'),
('ITA', 'Back', 'Indietro'),
('ITA', 'Browse Expense Detail', 'Sfoglia Dettaglio Spese'),
('ITA', 'Miles', 'Chilometri'),
('ITA', 'Edit Expense Detail', 'Mofica Spese Dettaglio'),
('ITA', 'Copy Expense Detail', 'Copia Spese Dettaglio'),
('ITA', 'Delete Expense Detail', 'Eliminia Spese Dettaglio'),
('ITA', 'Create Expense Detail', 'Crea Spese Dettaglio'),
('ITA', 'List Expense Detail', 'Lista Spese Dettaglio'),
('ITA', '-- All --', '-- Tutti --'),
('ITA', 'Account Name', 'Nome Conto'),
('ITA', 'City', 'citta'''),
('ITA', 'State', 'Nazione'),
('ITA', 'Postal Code', 'Codice Postale'),
('ITA', 'Contact Name', 'Nome Contatto'),
('ITA', 'List Account', 'Elenco dei Conti'),
('ITA', 'List Time Cards by Week', 'Elenco Monte-ore settimanali'),
('ITA', 'Create Time Card', 'Crea Monte-ore'),
('ITA', 'List Invoices', 'Elenco Fatture'),
('ITA', 'Create Literal', 'Crea Traduzione'),
('ITA', 'Browse Literal', 'Sfoglia Traduzione'),
('ITA', 'List Time Cards', 'Elenco Monte-Ore'),
('ITA', 'Work Date', 'Data Lavoro'),
('ITA', 'Print Weekly Time Card', 'Stampa Monte-Ore settimanale'),
('ITA', 'Leave this field blank to print time report for all projects that you have worked on.', 'Lascia bianco questo campo per stampare i resoconti di tutti i progetti nei quali hai lavorato.'),
('ITA', 'List Accounts', 'Elenco Conti'),
('ITA', 'Address line 1', 'Indirizzo - riga1'),
('ITA', 'Address line 2', 'Indirizzo - riga 2'),
('ITA', 'Create Account', 'Crea Conto'),
('ITA', 'Contact E-mail', 'E-mail di riferimento'),
('ITA', 'Create Project', 'Crea Progetto'),
('ITA', 'Sequence on Report', 'Posizione nel Report'),
('ITA', 'Is Mileage?', 'Si misura in Miglia?'),
('ITA', 'Mileage Rate', 'Tariffa per Miglia'),
('ITA', 'Create Expense Category', 'Crea Categoria di Spesa'),
('ITA', 'List Expense Categories', 'Elenco Categorie di Spesa'),
('ITA', 'List Tasks', 'Elenco Compiti'),
('ITA', 'List Roles', 'Elenco Ruoli'),
('ITA', 'List Authorizations', 'Elenco Autorizzazioni'),
('ITA', 'Work Location', 'Luogo di Lavoro'),
('ITA', 'Times', 'Ore-lavoro'),
('ITA', 'Expenses', 'Spese'),
('ITA', 'Undo Invoice', 'Annulla Fattura'),
('ITA', 'List Projects', 'Elenco Progetti'),
('ITA', 'invoices', 'fatture'),
('ITA', 'Create Task', 'Crea Compito'),
('ITA', 'Create Role', 'Crea Ruolo'),
('ITA', 'Create Authorization', 'Crea Autorizzazione'),
('ITA', 'List Roles of a Project', 'Elenca Ruoli di un Progetto'),
('ITA', 'Print Time Cards of a Project by Week', 'Stampa Cartellini settimanali ore lavoro di un progetto'),
('ITA', 'List Tasks of a Project', 'Elenca compiti di un Progetto'),
('ITA', 'Assign Task To A Project', 'Assegna Compito ad un Progetto'),
('ITA', 'Assign Role To A Project', 'Assegna un Ruolo ad un Progetto'),
('ITA', 'List Users in a Project', 'Elenca Utenti di un Progetto'),
('ITA', 'Assign User to a Project', 'Assegna Utente ad un Progetto'),
('ITA', 'Print Time Cards of an Account by Week', 'Stampa Cartellini settimanali ore lavoro di un Conto'),
('ITA', 'Browse Account', 'Sfoglia Conto'),
('ITA', 'Create Invoice', 'Crea Fattura'),
('ITA', 'Browse Project Task', 'Sfoglia Compiti del Progetto'),
('ITA', 'Edit Project Task', 'Modifica Compiti del Progetto'),
('ITA', 'Remove Task From A Project', 'Rimuovi Compito dal Progetto'),
('ITA', 'Browse Project Role', 'Sfoglia Ruolo nel Progetto'),
('ITA', 'Edit Project Role', 'Modifica Ruolo del Progetto'),
('ITA', 'Browse Invoice', 'Sfoglia Fattura'),
('ITA', 'List Expense Details', 'Elenca Dettagli delle Spese'),
('ITA', 'Edit Project', 'Modifica Progetto'),
('ITA', 'Browse Authorization', 'Sfoglia Autorizzazioni'),
('ITA', 'Edit Authorization', 'Modifica Autorizzazioni'),
('ITA', 'Browse Role', 'Sfoglia Ruolo'),
('ITA', 'Edit Role', 'Modifica Ruolo'),
('ITA', 'Edit Account', 'Modifica Conto'),
('ITA', 'Browse Task', 'Sfoglia Compito'),
('ITA', 'Edit Task', 'Modifica Compito'),
('ITA', 'Delete Project', 'Elimina Progetto'),
('ITA', 'Delete Task', 'Elimina Compito'),
('ITA', 'Delete Account', 'Elimina Conto'),
('ITA', 'Browse Time Card', 'Sfoglia Cartellini Tempo'),
('ITA', 'Delete Time Card', 'Elimina Cartellino Tempo'),
('ITA', 'Weekly Project Time Report', 'Report Settimanale Monteore Progetto'),
('ITA', 'Client', 'Cliente'),
('ITA', 'Period', 'Periodo'),
('ITA', 'Date', 'Data'),
('ITA', 'Actual Hours', 'Ore Complessive'),
('ITA', 'Project Total Hours', 'Totale ore progetto'),
('ITA', 'Weekly Customer Time Report', 'Report Settimanale Monterore per Cliente'),
('ITA', 'Customer', 'Cliente'),
('ITA', 'Total Project Hours', 'Totale Ore Progetto'),
('ITA', 'Grand Total Hours', 'Totale ore complessive'),
('ITA', 'Weekly Personal Time Report', 'Report Settimanale del Monteore Personale'),
('ITA', 'Weekly Total', 'Totale Settimanale'),
('ITA', 'Weekly Expense Report', 'Report Settimanale Spese'),
('ITA', 'Expense Category', 'Categoria di Spesa'),
('ITA', 'Sunday', 'Domenica'),
('ITA', 'Monday', 'Lunedi'''),
('ITA', 'Tuesday', 'Martedi'''),
('ITA', 'Wednesday', 'Mercoledi'''),
('ITA', 'Thursday', 'Giovedi'''),
('ITA', 'Friday', 'Venerdi'''),
('ITA', 'Saturday', 'Sabato'),
('ITA', 'Total', 'Totale'),
('ITA', 'Accounting', 'Contabilita'''),
('ITA', 'Billable', 'Fatturabili'),
('ITA', 'Hours', 'Ore'),
('ITA', 'Billed', 'Fatturato'),
('ITA', 'Non-billable', 'Non Fatturabili'),
('ITA', 'Rate', 'Tariffa'),
('ITA', 'To (W/E)', 'A (Weekend)'),
('ITA', 'Expense Summary', 'Riepilogo Spese'),
('ITA', 'All projects Total', 'Totale tutti I Progetti'),
('ITA', 'Project Total', 'Totale Progetto'),
('ITA', 'Invoice Total', 'Totale Fattura'),
('ITA', 'Time Details', 'Dettagli Tempo'),
('ITA', 'Billed Amount', 'Importo Fattura'),
('ITA', 'Time Summary', 'Riepilogo Ore'),
('ITA', 'Kilometer', 'Chilometro'),
('ITA', 'Kilometers', 'Chilometri'),
('ITA', 'Mile', 'Chilometro')

"),


);

?>