<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$installMetaData = array(
'Server'=> array('label' => 'Database Server', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField',),
'DatabaseName'=> array('label' => 'Database Name', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField', 'helptext' => 'If database exists, nothing will be changed; else it will create the database.'),
'DB_Admin_id'=> array('label' => 'Database Administrator', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField', 'helptext' => 'This user must have the authority to create database.'),
'DB_Admin_Password'=> array('label' => 'Database Admin Password', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'passwordField',),
'DB_User_id'=> array('label' => 'Database User', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField', 'helptext' => 'We recommend you to use a seperate user id for normal operation.<br /> If user already exists, it must have SELECT, INSERT, DELETE, UPDATE authorities.'),
'DB_User_Password'=> array('label' => 'Database User Password', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'passwordField',),
);


$installLayout = array(
'fieldMetaData' => 'installMetaData',
'heading' => 'Install Database',
'Server' => 'editable',
'DatabaseName' => 'editable',
'DB_Admin_id' => 'editable',
'DB_Admin_Password' => 'editable',
'DB_User_id' => 'editable',
'DB_User_Password' => 'editable',
'buttonPlace' => 'bottom',
'helptext' => '<h2>Notes:</h2>
<ol>
<li>Give write permission to <b>config</b> folder (chmod config 777)</li>
<li>Give write permission to <b>log</b> folder (chmod log 777)</li>
<li>After installation is complete, change permission of <b>config</b> folder back to original (in most cases it is, chmod config 755)</li>
</ol>
<p>For support, create a ticket at <a href = "http://sourceforge.net/tracker/?group_id=343652&atid=1438060" target="_blank">TEMS Support</a></p>
<p>If you prefer to contact us by email, our email address is <a href="mailto:contact@tems-onlne.com">contact@tems-online.com</a></p>',
);


?>