<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$basedir = dirname(__FILE__) . '/..';
require_once("$basedir/baseclass/DBCommonFunctions.php");
require_once("$basedir/projects/config.php");
require_once("$basedir/baseclass/GetAuthorization.php");


class ProjectData extends DBCommonFunctions
{

	public function createRow($accid, $projid, $name, $desc, $status ,$billacc, $sepbill)
	{

		//global $userclass_array;
		global $projects_status_array;
			
		if ($accid == ''
		or $projid == ''
		or $name == ''
		or $desc == ''
		or $status == ''
		or $billacc== ''
                or $sepbill == ''
		)
		throw new iInvalidArgumentException();


		if (!isset($status))
		throw new iInvalidDataException();

		$saccid = $this->escapeString($accid);
		$sprojid = $this->escapeString($projid);
		$sname = $this->escapeString($name);
		$sdesc = $this->escapeString($desc);
		$sstatus = $this->escapeString($status);
		$sbillacc = $this->escapeString($billacc);
                $ssepbill = $this->escapeString($sepbill);
		$user = loggedUserID();

		$this->beginTransaction();
		try
		{
			$query = <<<EOQ
INSERT INTO projects (accounts_id, projects_id, name, description, status, billtoaccount_id, separate_billing, createat, createby, changeby )
      VALUES('$saccid', '$sprojid', '$sname', '$sdesc', '$sstatus','$sbillacc', '$ssepbill', now(), '$user', '$user')
EOQ;
			$conn = $this->getConnection();
			$conn->query($query);
			$recid = $conn->insert_id;
			$this->chkQueryError($conn, $query);

			$this->commitTransaction();
			return $recid;
		}
		catch (Exception $e)
		{
			$this->rollbackTransaction();
			throw $e;
		}

	}


	public function updateRow($uid, $name, $desc, $status, $sepbill)
	{
			
		global $projects_status_array;

		if ($uid == ''
		or $name == ''
		or $desc == ''
		or $status == ''
                or $sepbill == ''
		)
		throw new iInvalidArgumentException();

		if (!isset($status))
		throw new iInvalidDataException();

		$sdesc = $this->escapeString($desc);
		$sname = $this->escapeString($name);
		$sstatus = $this->escapeString($status);
                $ssepbill = $this->escapeString($sepbill);
		$loggedinUser = loggedUserID();

		$auth = new userauthorization();
		$authority = $auth->chkauthorityLevel('projects', 'Edit');

		if (($authority == 'none')
		or (($authority == 'own')
		and ($this->getRecordCreator('projects', $uid) <> $loggedinUser)))
		throw new iBLError('nocategory', 'er0041');

		$this->beginTransaction();
		try
		{
			$query = "UPDATE projects
						SET 
							name = '$sname',
							description = '$sdesc',
							status = '$sstatus',
                                                        separate_billing = '$ssepbill',
							changeby = '$loggedinUser'
						WHERE uid = '$uid'";

			$conn = $this->getConnection();
			$conn->query($query);
			$this->chkQueryError($conn, $query);

			$this->commitTransaction();
		}
		catch (Exception $e)
		{
			$this->rollbackTransaction();
			throw $e;
		}
	}


}


?>