<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$basedir = dirname(__FILE__) . '/..';
require_once("$basedir/invoices/DbObj.php");
require_once("$basedir/accounts/DbObj.php");
require_once("$basedir/times/DbObj.php");

class DBConfigFunctions extends DBCommonFunctions
{
	// Start Submitted Hours Calculation functions
	function get_tobe_submitted_nonbillablehours($dataRow)
	{
		$where = "weekenddate='{$dataRow['weekenddate']}' and users_id='{$dataRow['users_id']}' and status='10' ";
		$Data = new TimeData();
		$TotalNonBillableHours = $Data->countHours('nonbillablehours', $where);
		return $TotalNonBillableHours;
	}


	function get_submitted_nonbillablehours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}' and status >= '20' ";
		$Data = new TimeData();
		$TotalNonBillableHours = $Data->countHours('nonbillablehours', $where);
		return $TotalNonBillableHours;
	}

	function get_tobe_submitted_billablehours($dataRow)
	{
		$where = "weekenddate='{$dataRow['weekenddate']}' and users_id='{$dataRow['users_id']}' and status='10' ";
		$Data = new TimeData();
		$TotalBillableHours = $Data->countHours('billablehours', $where);
		return $TotalBillableHours;
	}


	function get_submitted_billablehours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}' and status >= '20' ";
		$Data = new TimeData();
		$TotalBillableHours = $Data->countHours('billablehours', $where);
		return $TotalBillableHours;
	}
	
	// End Submitted Hours Calculation functions

	// Start Aproved Hours Calculation functions
	function get_tobe_approved_nonbillablehours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}' and status = '20'";
		$Data = new TimeData();
		$TotalNonBillableHours = $Data->countHours('nonbillablehours', $where);
		return $TotalNonBillableHours;
	}

	function get_tobe_approved_billablehours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}' and status = '20'";
		$Data = new TimeData();
		$TotalBillableHours = $Data->countHours('billablehours', $where);
		return $TotalBillableHours;
	}
	
	
	function get_approved_nonbillablehours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}' and status >= '30'";
		$Data = new TimeData();
		$TotalNonBillableHours = $Data->countHours('nonbillablehours', $where);
		return $TotalNonBillableHours;
	}

	function get_approved_billablehours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}' and status >= '30'";
		$Data = new TimeData();
		$TotalBillableHours = $Data->countHours('billablehours', $where);
		return $TotalBillableHours;
	}

	
	// End Approved Hours Calculation functions

	function get_total_nonbillablehours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}'  ";
		$Data = new TimeData();
		$TotalNonBillableHours = $Data->countHours('nonbillablehours', $where);
		return $TotalNonBillableHours;
	}

	function get_total_billablehours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}'  ";
		$Data = new TimeData();
		$TotalBillableHours = $Data->countHours('billablehours', $where);
		return $TotalBillableHours;
	}
	
	function get_total_hours($dataRow)
	{
		$where = "weekenddate = '{$dataRow['weekenddate']}' and users_id = '{$dataRow['users_id']}'  ";
		$Data = new TimeData();
		$TotalBillableHours = $Data->countHours('billablehours', $where);
		$TotalNonBillableHours = $Data->countHours('nonbillablehours', $where);
		return ($TotalBillableHours + $TotalNonBillableHours);
	}
	
	function add_bill_nonbill_hours($dataRow)
	{
		$totalHours = $dataRow['billablehours'] + $dataRow['nonbillablehours'];
		return sprintf("%01.2f", $totalHours);
	}

	function get_next_action($dataRow)
	{
		$submit = changeLiteral('Submit');
		$approve = changeLiteral('Approve');
		$release = changeLiteral('Release');
		If ($dataRow['status'] < '20')
			return "<a href=index.php?module=times&action=Submit&uid={$dataRow['uid']}>$submit</a>";
		elseif ($dataRow['status'] < '30')
			return "<a href=index.php?module=times&action=Approve&uid={$dataRow['uid']}>$approve</a>";
		elseif ($dataRow['status'] == '80')
			return "<a href=index.php?module=times&action=Release&uid={$dataRow['uid']}&load=Yes>$release</a>";
		else
			return '';
	}

	function get_next_summary_action($dataRow)
	{
		$submit = changeLiteral('Submit');
		$approve = changeLiteral('Approve');
		$release = changeLiteral('Release');
		
		$wedate = $dataRow['weekenddate'];
		$DbObj = new dbObj();
		$query = "select uid
					from times
					where users_id = '{$dataRow['users_id']}' and weekenddate = '$wedate'";
		$dataset = $DbObj->getDatabyQuery($query);
		if ($dataset <> null)
			$uid = $dataset[0]['uid'];

		if ($dataRow['loweststatus'] < '20')
			return "<a href=index.php?module=times&action=Submit&uid=$uid>$submit</a>";
		elseif ($dataRow['loweststatus'] < '30')
			return "<a href=index.php?module=times&action=Approve&uid=$uid>$approve</a>";
		elseif ($dataRow['loweststatus'] == '80')
			return "<a href=index.php?module=times&action=Release&uid=$uid>$release</a>";
		else
			return '';
		return;
			
	}
	
}



?>